package com.ruoyi.szxc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.szxc.mapper.SzxcGyApplyMapper;
import com.ruoyi.szxc.domain.SzxcGyApply;
import com.ruoyi.szxc.service.ISzxcGyApplyService;

/**
 * 公益报名情况Service业务层处理
 * 
 * @author hs
 * @date 2024-03-20
 */
@Service
public class SzxcGyApplyServiceImpl implements ISzxcGyApplyService 
{
    @Autowired
    private SzxcGyApplyMapper szxcGyApplyMapper;

    /**
     * 查询公益报名情况
     * 
     * @param id 公益报名情况主键
     * @return 公益报名情况
     */
    @Override
    public SzxcGyApply selectSzxcGyApplyById(Long id)
    {
        return szxcGyApplyMapper.selectSzxcGyApplyById(id);
    }

    /**
     * 查询公益报名情况列表
     * 
     * @param szxcGyApply 公益报名情况
     * @return 公益报名情况
     */
    @Override
    public List<SzxcGyApply> selectSzxcGyApplyList(SzxcGyApply szxcGyApply)
    {
        return szxcGyApplyMapper.selectSzxcGyApplyList(szxcGyApply);
    }

    /**
     * 新增公益报名情况
     * 
     * @param szxcGyApply 公益报名情况
     * @return 结果
     */
    @Override
    public int insertSzxcGyApply(SzxcGyApply szxcGyApply)
    {
        szxcGyApply.setCreateTime(DateUtils.getNowDate());
        return szxcGyApplyMapper.insertSzxcGyApply(szxcGyApply);
    }

    /**
     * 修改公益报名情况
     * 
     * @param szxcGyApply 公益报名情况
     * @return 结果
     */
    @Override
    public int updateSzxcGyApply(SzxcGyApply szxcGyApply)
    {
        szxcGyApply.setUpdateTime(DateUtils.getNowDate());
        return szxcGyApplyMapper.updateSzxcGyApply(szxcGyApply);
    }

    /**
     * 批量删除公益报名情况
     * 
     * @param ids 需要删除的公益报名情况主键
     * @return 结果
     */
    @Override
    public int deleteSzxcGyApplyByIds(Long[] ids)
    {
        return szxcGyApplyMapper.deleteSzxcGyApplyByIds(ids);
    }

    /**
     * 删除公益报名情况信息
     * 
     * @param id 公益报名情况主键
     * @return 结果
     */
    @Override
    public int deleteSzxcGyApplyById(Long id)
    {
        return szxcGyApplyMapper.deleteSzxcGyApplyById(id);
    }
}
